unit u_rechner;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    EZ1: TEdit;
    EZ2: TEdit;
    EErg: TEdit;
    BPlus: TButton;
    BMinus: TButton;
    BMal: TButton;
    BDurch: TButton;
    BLoeschen: TButton;
    BEnde: TButton;
    LInput_a: TLabel;
    LInput_b: TLabel;
    LOutput_c: TLabel;
    LMemory: TLabel;
    EMemory: TEdit;
    BQuadrat: TButton;
    BKehrwert: TButton;
    BWurzel: TButton;
    BLogarithmus: TButton;
    BKubik: TButton;
    BSpeichern: TButton;
    BSp_nach_a: TButton;
    BSp_nach_b: TButton;
    BClear_Sp: TButton;
    procedure BEndeClick(Sender: TObject);
    procedure BLoeschenClick(Sender: TObject);
    procedure BPlusClick(Sender: TObject);
    procedure BMinusClick(Sender: TObject);
    procedure BMalClick(Sender: TObject);
    procedure BDurchClick(Sender: TObject);
    procedure BQuadratClick(Sender: TObject);
    procedure BKehrwertClick(Sender: TObject);
    procedure BWurzelClick(Sender: TObject);
    procedure BLogarithmusClick(Sender: TObject);
    procedure BKubikClick(Sender: TObject);
    procedure BSpeichernClick(Sender: TObject);
    procedure BSp_nach_aClick(Sender: TObject);
    procedure BSp_nach_bClick(Sender: TObject);
    procedure BClear_SpClick(Sender: TObject);
   
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}





procedure TForm1.BEndeClick(Sender: TObject);
begin
  close;
end;

procedure TForm1.BLoeschenClick(Sender: TObject);
begin
 EZ1.Text := ' ';
 EZ2.Text := ' ';
 EErg. Text := ' ';
 EMemory.Text := ' ';
end;

procedure TForm1.BPlusClick(Sender: TObject);
var z1, z2, erg : real;
begin
  z1 := StrToFloat(EZ1.Text);
  z2 := StrToFloat(EZ2.Text);
  erg := z1 + z2;
  EErg.Text := FloatToStr(erg);
end;

procedure TForm1.BMinusClick(Sender: TObject);
var z1, z2, erg : real;
begin
  z1 := StrToFloat(EZ1.Text);
  z2 := StrToFloat(EZ2.Text);
  erg := z1 - z2;
  EErg.Text := FloatToStr(erg);
end;

procedure TForm1.BMalClick(Sender: TObject);
var z1, z2, erg : real;
begin
  z1 := StrToFloat(EZ1.Text);
  z2 := StrToFloat(EZ2.Text);
  erg := z1 * z2;
  EErg.Text := FloatToStr(erg);
end;

procedure TForm1.BDurchClick(Sender: TObject);
var z1, z2, erg : real;
begin
  z1 := StrToFloat(EZ1.Text);
  z2 := StrToFloat(EZ2.Text);
  erg := z1 / z2;
  EErg.Text := FloatToStr(erg);
end;

procedure TForm1.BQuadratClick(Sender: TObject);
var
  a, c: double;
begin
  a := StrToFloat(EZ1.Text);
  c := a*a;
  EErg.Text := FloatToStrF(c,ffFixed,6,2);
end;

procedure TForm1.BKehrwertClick(Sender: TObject);
var
  a, kehrwert: double;
begin
  a := StrToFloat(EZ1.Text);
  kehrwert := 1/a;
  EErg.Text := FloatToStrF(kehrwert,ffFixed,6,2);
end;

procedure TForm1.BWurzelClick(Sender: TObject);
var
  a, c: double;
begin
  a := StrToFloat(EZ1.Text);
  c := sqrt(a);
  EErg.Text := FloatToStrF(c,ffFixed,6,2);
end;

procedure TForm1.BLogarithmusClick(Sender: TObject);
var
  a, c: double;
begin
  a := StrToFloat(EZ1.Text);
  c := ln(a);
  EErg.Text := FloatToStrF(c,ffFixed,6,2);
end;

procedure TForm1.BKubikClick(Sender: TObject);
var
  a, c: double;
begin
  a := StrToFloat(EZ1.Text);
  c := a*a*a;
  EErg.Text := FloatToStrF(c,ffFixed,6,2);
end;

procedure TForm1.BSpeichernClick(Sender: TObject);
var
  c, m: double;
begin
  c := StrToFloat(EErg.Text);
  m := c;
  EMemory.Text := FloatToStrF(m,ffFixed,6,2);
end;

procedure TForm1.BSp_nach_aClick(Sender: TObject);
var
  a, m: double;
begin
  m := StrToFloat(EMemory.Text);
  a := m;
  EZ1.Text := FloatToStrF(a,ffFixed,6,2);
end;

procedure TForm1.BSp_nach_bClick(Sender: TObject);
var
  b, m: double;
begin
  m := StrToFloat(EMemory.Text);
  b := m;
  EZ2.Text := FloatToStrF(b,ffFixed,6,2);
end;

procedure TForm1.BClear_SpClick(Sender: TObject);
begin
  EMemory.Clear;
end;

end.
